## ffmpegthumbnailer 2.0.10

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.8)
CMAKE_POLICY(VERSION 2.8)

SET(PACKAGE "ffmpegthumbnailer")
SET(PACKAGE_VERSION_MAJOR 2)
SET(PACKAGE_VERSION_MINOR 0)
SET(PACKAGE_VERSION_PATCH 10)
SET(PACKAGE_VERSION ${PACKAGE_VERSION_MAJOR}.${PACKAGE_VERSION_MINOR}.${PACKAGE_VERSION_PATCH})

SET(CPACK_PACKAGE_NAME ${PACKAGE})
SET(CPACK_PACKAGE_VERSION_MAJOR ${PACKAGE_VERSION_MAJOR})
SET(CPACK_PACKAGE_VERSION_MINOR ${PACKAGE_VERSION_MINOR})
SET(CPACK_PACKAGE_VERSION_PATCH ${PACKAGE_VERSION_PATCH})
SET(CPACK_SOURCE_GENERATOR "TBZ2")
SET(CPACK_PACKAGE_FILE_NAME $CPACK_PACKAGE_NAME)
SET(CPACK_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}-bin")
SET(CPACK_SOURCE_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
SET(CPACK_SOURCE_IGNORE_FILES "/build/;/debug/;/release/;/gfx/;/include/;/lib/;/.git/;/src/tags;/.*[.]sublime-.*;~$;${CPACK_SOURCE_IGNORE_FILES}")
SET(CPACK_RESOURCE_FILE_README ${CMAKE_CURRENT_SOURCE_DIR}/README)
SET(CPACK_RESOURCE_FILE_LICENSE ${CMAKE_CURRENT_SOURCE_DIR}/COPYING)

IF (APPLE)
    SET (MACOSX_RPATH ON)
ENDIF ()

PROJECT(${PACKAGE})
INCLUDE(CPack)

SET(CMAKE_EXPORT_COMPILE_COMMANDS 1)

OPTION(ENABLE_SHARED "Build shared library" ON)
OPTION(ENABLE_STATIC "Build static library" OFF)
OPTION(ENABLE_TESTS "Build unit tests" ON)
OPTION(ENABLE_GIO "Support for gio file uris" OFF)
OPTION(ENABLE_THUMBNAILER "Register ffmpegthumbnailer as thumbnailer" OFF)

INCLUDE_DIRECTORIES(${CMAKE_BINARY_DIR})

FIND_PACKAGE(JPEG)
IF (JPEG_FOUND)
    OPTION(HAVE_JPEG "Jpeg support" ON)
ENDIF ()

FIND_PACKAGE(PNG)
IF (PNG_FOUND)
    OPTION(HAVE_PNG "Png support" ON)
ENDIF ()

FIND_PACKAGE(PkgConfig)
PKG_CHECK_MODULES(AVCODEC_PKG libavcodec REQUIRED)
PKG_CHECK_MODULES(AVFORMAT_PKG libavformat REQUIRED)
PKG_CHECK_MODULES(AVUTIL_PKG libavutil REQUIRED)
PKG_CHECK_MODULES(SWSCALE_PKG libswscale REQUIRED)

FIND_PATH(AVCODEC_INCLUDE_DIR
    NAMES libavcodec/avcodec.h
    PATHS ${AVCODEC_PKG_INCLUDE_DIRS}
)

FIND_PATH(AVFORMAT_INCLUDE_DIR
    NAMES libavcodec/avcodec.h
    PATHS ${AVFORMAT_PKG_INCLUDE_DIRS}
)

FIND_PATH(AVUTIL_INCLUDE_DIR
    NAMES libavutil/avutil.h
    PATHS ${AVUTIL_PKG_INCLUDE_DIRS}
)

FIND_PATH(SWSCALE_INCLUDE_DIR
    NAMES libswscale/swscale.h
    PATHS ${SWSCALE_PKG_INCLUDE_DIRS}
)

FIND_LIBRARY(AVCODEC_LIBRARY
    NAMES ${AVCODEC_PKG_LIBRARIES}
    PATHS ${AVCODEC_PKG_LIBRARY_DIRS}
)

FIND_LIBRARY(AVFORMAT_LIBRARY
    NAMES ${AVFORMAT_PKG_LIBRARIES}
    PATHS ${AVFORMAT_PKG_LIBRARY_DIRS}
)

FIND_LIBRARY(AVUTIL_LIBRARY
    NAMES ${AVUTIL_PKG_LIBRARIES}
    PATHS ${AVUTIL_PKG_LIBRARY_DIRS}
)

FIND_LIBRARY(SWSCALE_LIBRARY
    NAMES ${SWSCALE_PKG_LIBRARIES}
    PATHS ${SWSCALE_PKG_LIBRARY_DIRS}
)

IF (ENABLE_GIO)
    FIND_PATH(DL_INCLUDES dlfcn.h)
    FIND_LIBRARY(DL_LIBRARY dl)
    LIST(APPEND FFMPEGTHUMBNAILER_INCLUDE_DIRS ${DL_INCLUDES})
    LIST(APPEND FFMPEGTHUMBNAILER_LIBRARIES ${DL_LIBRARY})
ENDIF ()

LIST(APPEND FFMPEGTHUMBNAILER_INCLUDE_DIRS ${AVFORMAT_INCLUDE_DIR} ${AVCODEC_INCLUDE_DIR} ${AVUTIL_INCLUDE_DIR} ${SWSCALE_INCLUDE_DIR})
LIST(APPEND FFMPEGTHUMBNAILER_LIBRARIES ${AVFORMAT_LIBRARY} ${AVCODEC_LIBRARY} ${AVUTIL_LIBRARY} ${SWSCALE_LIBRARY})

SET(FFMPEGTHUMBNAILER_PKG_LIBS "-L${AVCODEC_PKG_LIBRARY_DIRS} -l${AVCODEC_PKG_LIBRARIES} -l${AVUTIL_PKG_LIBRARIES} -l${AVFORMAT_PKG_LIBRARIES} -l${SWSCALE_PKG_LIBRARIES}")
FOREACH(VAL ${JPEG_LIBRARIES})
    SET(FFMPEGTHUMBNAILER_PKG_LIBS "${FFMPEGTHUMBNAILER_PKG_LIBS} ${VAL}")
ENDFOREACH()
FOREACH(VAL ${PNG_LIBRARIES})
    SET(FFMPEGTHUMBNAILER_PKG_LIBS "${FFMPEGTHUMBNAILER_PKG_LIBS} ${VAL}")
ENDFOREACH()

SET(LIB_HDRS
    libffmpegthumbnailer/videothumbnailer.h
    libffmpegthumbnailer/videothumbnailerc.h
    libffmpegthumbnailer/imagetypes.h
    libffmpegthumbnailer/ifilter.h
    libffmpegthumbnailer/videoframe.h
    libffmpegthumbnailer/filmstripfilter.h
)

SET (LIB_SRC_LIST
    libffmpegthumbnailer/moviedecoder.h
    libffmpegthumbnailer/moviedecoder.cpp
    libffmpegthumbnailer/imagewriter.h
    libffmpegthumbnailer/imagewriterfactory.h
    libffmpegthumbnailer/stringoperations.h
    libffmpegthumbnailer/stringoperations.cpp
    libffmpegthumbnailer/videothumbnailer.cpp
    libffmpegthumbnailer/videothumbnailerc.cpp
    libffmpegthumbnailer/ifilter.h
    libffmpegthumbnailer/videoframe.h
    libffmpegthumbnailer/histogram.h
    libffmpegthumbnailer/grayscalefilter.h
    libffmpegthumbnailer/filmstrip.h
    libffmpegthumbnailer/filmstripfilter.h
    libffmpegthumbnailer/filmstripfilter.cpp
)

IF (HAVE_JPEG)
    LIST(APPEND LIB_SRC_LIST libffmpegthumbnailer/jpegwriter.h libffmpegthumbnailer/jpegwriter.cpp)
    LIST(APPEND FFMPEGTHUMBNAILER_INCLUDE_DIRS ${JPEG_INCLUDE_DIR})
    LIST(APPEND FFMPEGTHUMBNAILER_LIBRARY_DIRS ${JPEG_LIBRARY_DIRS})
    LIST(APPEND FFMPEGTHUMBNAILER_LIBRARIES ${JPEG_LIBRARIES})
ENDIF ()

IF (HAVE_PNG)
    LIST(APPEND LIB_SRC_LIST libffmpegthumbnailer/pngwriter.h libffmpegthumbnailer/pngwriter.cpp)
    LIST(APPEND FFMPEGTHUMBNAILER_INCLUDE_DIRS ${PNG_INCLUDE_DIR})
    LIST(APPEND FFMPEGTHUMBNAILER_LIBRARY_DIRS ${PNG_LIBRARY_DIRS})
    LIST(APPEND FFMPEGTHUMBNAILER_LIBRARIES ${PNG_LIBRARIES})
ENDIF ()

SET (FFMPEGTHUMBNAILER_SOVERSION_MAJOR 4)
SET (FFMPEGTHUMBNAILER_SOVERSION_MINOR 9)
SET (FFMPEGTHUMBNAILER_SOVERSION_PATCH 0)

ADD_DEFINITIONS("-D__STDC_CONSTANT_MACROS")
INCLUDE_DIRECTORIES(${FFMPEGTHUMBNAILER_INCLUDE_DIRS})

IF (ENABLE_STATIC)
    ADD_LIBRARY(libffmpegthumbnailerstatic STATIC ${LIB_SRC_LIST})
    TARGET_LINK_LIBRARIES(libffmpegthumbnailerstatic ${FFMPEGTHUMBNAILER_LIBRARIES})
    SET_TARGET_PROPERTIES(libffmpegthumbnailerstatic PROPERTIES
        OUTPUT_NAME libffmpegthumbnailer
    )
    SET (STATIC_LIB libffmpegthumbnailerstatic)
ENDIF ()
IF (ENABLE_SHARED)
    ADD_LIBRARY(libffmpegthumbnailer SHARED ${LIB_SRC_LIST})
    TARGET_LINK_LIBRARIES(libffmpegthumbnailer ${FFMPEGTHUMBNAILER_LIBRARIES})
    SET_TARGET_PROPERTIES(libffmpegthumbnailer PROPERTIES
        PREFIX ""
        VERSION ${FFMPEGTHUMBNAILER_SOVERSION_MAJOR}.${FFMPEGTHUMBNAILER_SOVERSION_MINOR}.${FFMPEGTHUMBNAILER_SOVERSION_PATCH}
        SOVERSION ${FFMPEGTHUMBNAILER_SOVERSION_MAJOR}
        PUBLIC_HEADER "${LIB_HDRS}"
        MACOSX_RPATH TRUE
    )
    SET (SHARED_LIB libffmpegthumbnailer)
ENDIF ()

ADD_EXECUTABLE(ffmpegthumbnailer main.cpp)
IF (ENABLE_SHARED)
    TARGET_LINK_LIBRARIES(ffmpegthumbnailer ${SHARED_LIB})
ELSE ()
    TARGET_LINK_LIBRARIES(ffmpegthumbnailer ${STATIC_LIB})
ENDIF ()

INSTALL(TARGETS ffmpegthumbnailer ${STATIC_LIB} ${SHARED_LIB}
    LIBRARY DESTINATION ${CMAKE_INSTALL_PREFIX}/lib
    RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}/bin
    ARCHIVE DESTINATION ${CMAKE_INSTALL_PREFIX}/lib
    PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_PREFIX}/include/libffmpegthumbnailer
)

INSTALL(FILES man/ffmpegthumbnailer.1 DESTINATION ${CMAKE_INSTALL_PREFIX}/man/man1)
INSTALL(FILES ${CMAKE_BINARY_DIR}/libffmpegthumbnailer.pc DESTINATION ${CMAKE_INSTALL_PREFIX}/lib/pkgconfig)

IF (ENABLE_THUMBNAILER)
    INSTALL(FILES ${CMAKE_CURRENT_SOURCE_DIR}/dist/ffmpegthumbnailer.thumbnailer DESTINATION ${CMAKE_INSTALL_PREFIX}/share/thumbnailers)
ENDIF ()

CONFIGURE_FILE(${CMAKE_SOURCE_DIR}/config.h.in ${CMAKE_BINARY_DIR}/config.h)
CONFIGURE_FILE(${CMAKE_SOURCE_DIR}/libffmpegthumbnailer.pc.in ${CMAKE_BINARY_DIR}/libffmpegthumbnailer.pc @ONLY)
CONFIGURE_FILE("${CMAKE_CURRENT_SOURCE_DIR}/CMakeUninstall.cmake.in" "${CMAKE_CURRENT_BINARY_DIR}/CMakeUninstall.cmake" IMMEDIATE @ONLY)
ADD_CUSTOM_TARGET(uninstall COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/CMakeUninstall.cmake)

IF (ENABLE_TESTS)
    ENABLE_TESTING()
    ADD_SUBDIRECTORY(test)
ENDIF ()

MESSAGE(STATUS "")
MESSAGE(STATUS "CONFIGURATION SUMMARY")

IF (HAVE_PNG)
    MESSAGE(STATUS "png support          : enabled")
ELSE ()
    MESSAGE(STATUS "png support          : disabled")
ENDIF ()

IF (HAVE_JPEG)
    MESSAGE(STATUS "jpeg support         : enabled")
ELSE ()
    MESSAGE(STATUS "jpeg support         : disabled")
ENDIF ()

IF (ENABLE_GIO)
    MESSAGE(STATUS "gio support          : enabled")
ELSE ()
    MESSAGE(STATUS "gio support          : disabled")
ENDIF ()

IF (ENABLE_THUMBNAILER)
    MESSAGE(STATUS "register thumbnailer : enabled")
ELSE ()
    MESSAGE(STATUS "register thumbnailer : disabled")
ENDIF ()

IF (ENABLE_UNITTEST)
    MESSAGE(STATUS "unittests            : enabled")
ELSE ()
    MESSAGE(STATUS "unittests            : disabled")
ENDIF ()

IF (CMAKE_BUILD_TYPE STREQUAL "Debug")
    MESSAGE(STATUS "debug mode           : enabled")
ELSE ()
    MESSAGE(STATUS "debug mode           : disabled")
ENDIF ()

=== kffmpegthumbnailer/CMakeLists.txt ===
project(kffmpegthumbnailer)

find_package(KDE4 REQUIRED)
find_package(PkgConfig)

include(KDE4Defaults)
include(MacroOptionalAddSubdirectory)
include(FindPkgConfig)

set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "kffmpegthumbnailer video thumbnailer for kde")
set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README")
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/COPYRIGHT")
set(CPACK_PACKAGE_VERSION_MAJOR "1")
set(CPACK_PACKAGE_VERSION_MINOR "1")
set(CPACK_PACKAGE_VERSION_PATCH "0")
set(CPACK_GENERATOR "TGZ")
set(CPACK_SOURCE_GENERATOR "TGZ")
set(CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
set(CPACK_SOURCE_IGNORE_FILES "/out/;/.svn/;*~")

include(CPack)

pkg_check_modules(AVUTIL libavutil)
pkg_check_modules(AVFORMAT libavformat)
pkg_check_modules(AVCODEC libavcodec)
pkg_check_modules(SWSCALE libswscale)
pkg_check_modules(FFMPEG_THUMBNAILER libffmpegthumbnailer)

include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES} ${AVUTIL_INCLUDES} ${AVFORMAT_INCLUDES} ${AVCODEC_INCLUDES} ${SWSCALE_INCLUDES} ${FFMPEG_THUMBNAILER_INCLUDES})

set(kffmpegthumbnailer_SRCS kffmpegthumbnailer.cpp)
string(REGEX REPLACE "-fno-exceptions " "" CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS})

kde4_add_plugin(kffmpegthumbnailer ${kffmpegthumbnailer_SRCS})
target_link_libraries(kffmpegthumbnailer ${KDE4_KIO_LIBS} ${AVUTIL_LIBRARIES} ${AVFORMAT_LIBRARIES} ${AVCODEC_LIBRARIES} ${SWSCALE_LIBRARIES} ${FFMPEG_THUMBNAILER_LIBRARIES})

install(TARGETS kffmpegthumbnailer DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES kffmpegthumbnailer.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== out-2.0.10/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.2

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/local/Cellar/cmake/3.2.2/bin/cmake

# The command to remove a file.
RM = /usr/local/Cellar/cmake/3.2.2/bin/cmake -E remove -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /Users/dirk/Projects/ffmpegthumbnailer

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /Users/dirk/Projects/ffmpegthumbnailer/out-2.0.10

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/local/Cellar/cmake/3.2.2/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	/usr/local/Cellar/cmake/3.2.2/bin/ccmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/local/Cellar/cmake/3.2.2/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/local/Cellar/cmake/3.2.2/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/local/Cellar/cmake/3.2.2/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	/usr/local/Cellar/cmake/3.2.2/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package
.PHONY : package/fast

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/usr/local/Cellar/cmake/3.2.2/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test
.PHONY : test/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	/usr/local/Cellar/cmake/3.2.2/bin/cpack --config ./CPackSourceConfig.cmake /Users/dirk/Projects/ffmpegthumbnailer/out-2.0.10/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source
.PHONY : package_source/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/local/Cellar/cmake/3.2.2/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# The main all target
all: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/dirk/Projects/ffmpegthumbnailer/out-2.0.10/CMakeFiles /Users/dirk/Projects/ffmpegthumbnailer/out-2.0.10/CMakeFiles/progress.marks
	$(MAKE) -f CMakeFiles/Makefile2 all
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/dirk/Projects/ffmpegthumbnailer/out-2.0.10/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	$(MAKE) -f CMakeFiles/Makefile2 clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	$(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

#=============================================================================
# Target rules for targets named ffmpegthumbnailer

# Build rule for target.
ffmpegthumbnailer: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 ffmpegthumbnailer
.PHONY : ffmpegthumbnailer

# fast build rule for target.
ffmpegthumbnailer/fast:
	$(MAKE) -f CMakeFiles/ffmpegthumbnailer.dir/build.make CMakeFiles/ffmpegthumbnailer.dir/build
.PHONY : ffmpegthumbnailer/fast

#=============================================================================
# Target rules for targets named libffmpegthumbnailer

# Build rule for target.
libffmpegthumbnailer: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 libffmpegthumbnailer
.PHONY : libffmpegthumbnailer

# fast build rule for target.
libffmpegthumbnailer/fast:
	$(MAKE) -f CMakeFiles/libffmpegthumbnailer.dir/build.make CMakeFiles/libffmpegthumbnailer.dir/build
.PHONY : libffmpegthumbnailer/fast

#=============================================================================
# Target rules for targets named libffmpegthumbnailerstatic

# Build rule for target.
libffmpegthumbnailerstatic: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 libffmpegthumbnailerstatic
.PHONY : libffmpegthumbnailerstatic

# fast build rule for target.
libffmpegthumbnailerstatic/fast:
	$(MAKE) -f CMakeFiles/libffmpegthumbnailerstatic.dir/build.make CMakeFiles/libffmpegthumbnailerstatic.dir/build
.PHONY : libffmpegthumbnailerstatic/fast

#=============================================================================
# Target rules for targets named uninstall

# Build rule for target.
uninstall: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 uninstall
.PHONY : uninstall

# fast build rule for target.
uninstall/fast:
	$(MAKE) -f CMakeFiles/uninstall.dir/build.make CMakeFiles/uninstall.dir/build
.PHONY : uninstall/fast

#=============================================================================
# Target rules for targets named ffmpegthumbnailertest

# Build rule for target.
ffmpegthumbnailertest: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 ffmpegthumbnailertest
.PHONY : ffmpegthumbnailertest

# fast build rule for target.
ffmpegthumbnailertest/fast:
	$(MAKE) -f test/CMakeFiles/ffmpegthumbnailertest.dir/build.make test/CMakeFiles/ffmpegthumbnailertest.dir/build
.PHONY : ffmpegthumbnailertest/fast

libffmpegthumbnailer/filmstripfilter.o: libffmpegthumbnailer/filmstripfilter.cpp.o
.PHONY : libffmpegthumbnailer/filmstripfilter.o

# target to build an object file
libffmpegthumbnailer/filmstripfilter.cpp.o:
	$(MAKE) -f CMakeFiles/libffmpegthumbnailer.dir/build.make CMakeFiles/libffmpegthumbnailer.dir/libffmpegthumbnailer/filmstripfilter.cpp.o
	$(MAKE) -f CMakeFiles/libffmpegthumbnailerstatic.dir/build.make CMakeFiles/libffmpegthumbnailerstatic.dir/libffmpegthumbnailer/filmstripfilter.cpp.o
.PHONY : libffmpegthumbnailer/filmstripfilter.cpp.o

libffmpegthumbnailer/filmstripfilter.i: libffmpegthumbnailer/filmstripfilter.cpp.i
.PHONY : libffmpegthumbnailer/filmstripfilter.i

# target to preprocess a source file
libffmpegthumbnailer/filmstripfilter.cpp.i:
	$(MAKE) -f CMakeFiles/libffmpegthumbnailer.dir/build.make CMakeFiles/libffmpegthumbnailer.dir/libffmpegthumbnailer/filmstripfilter.cpp.i
	$(MAKE) -f CMakeFiles/libffmpegthumbnailerstatic.dir/build.make CMakeFiles/libffmpegthumbnailerstatic.dir/libffmpegthumbnailer/filmstripfilter.cpp.i
.PHONY : libffmpegthumbnailer/filmstripfilter.cpp.i

libffmpegthumbnailer/filmstripfilter.s: libffmpegthumbnailer/filmstripfilter.cpp.s
.PHONY : libffmpegthumbnailer/filmstripfilter.s

# target to generate assembly for a file
libffmpegthumbnailer/filmstripfilter.cpp.s:
	$(MAKE) -f CMakeFiles/libffmpegthumbnailer.dir/build.make CMakeFiles/libffmpegthumbnailer.dir/libffmpegthumbnailer/filmstripfilter.cpp.s
	$(MAKE) -f CMakeFiles/libffmpegthumbnailerstatic.dir/build.make CMakeFiles/libffmpegthumbnailerstatic.dir/libffmpegthumbnailer/filmstripfilter.cpp.s
.PHONY : libffmpegthumbnailer/filmstripfilter.cpp.s

libffmpegthumbnailer/jpegwriter.o: libffmpegthumbnailer/jpegwriter.cpp.o
.PHONY : libffmpegthumbnailer/jpegwriter.o

# target to build an object file
libffmpegthumbnailer/jpegwriter.cpp.o:
	$(MAKE) -f CMakeFiles/libffmpegthumbnailer.dir/build.make CMakeFiles/libffmpegthumbnailer.dir/libffmpegthumbnailer/jpegwriter.cpp.o
	$(MAKE) -f CMakeFiles/libffmpegthumbnailerstatic.dir/build.make CMakeFiles/libffmpegthumbnailerstatic.dir/libffmpegthumbnailer/jpegwriter.cpp.o
.PHONY : libffmpegthumbnailer/jpegwriter.cpp.o

libffmpegthumbnailer/jpegwriter.i: libffmpegthumbnailer/jpegwriter.cpp.i
.PHONY : libffmpegthumbnailer/jpegwriter.i

# target to preprocess a source file
libffmpegthumbnailer/jpegwriter.cpp.i:
	$(MAKE) -f CMakeFiles/libffmpegthumbnailer.dir/build.make CMakeFiles/libffmpegthumbnailer.dir/libffmpegthumbnailer/jpegwriter.cpp.i
	$(MAKE) -f CMakeFiles/libffmpegthumbnailerstatic.dir/build.make CMakeFiles/libffmpegthumbnailerstatic.dir/libffmpegthumbnailer/jpegwriter.cpp.i
.PHONY : libffmpegthumbnailer/jpegwriter.cpp.i

libffmpegthumbnailer/jpegwriter.s: libffmpegthumbnailer/jpegwriter.cpp.s
.PHONY : libffmpegthumbnailer/jpegwriter.s

# target to generate assembly for a file
libffmpegthumbnailer/jpegwriter.cpp.s:
	$(MAKE) -f CMakeFiles/libffmpegthumbnailer.dir/build.make CMakeFiles/libffmpegthumbnailer.dir/libffmpegthumbnailer/jpegwriter.cpp.s
	$(MAKE) -f CMakeFiles/libffmpegthumbnailerstatic.dir/build.make CMakeFiles/libffmpegthumbnailerstatic.dir/libffmpegthumbnailer/jpegwriter.cpp.s
.PHONY : libffmpegthumbnailer/jpegwriter.cpp.s

libffmpegthumbnailer/moviedecoder.o: libffmpegthumbnailer/moviedecoder.cpp.o
.PHONY : libffmpegthumbnailer/moviedecoder.o

# target to build an object file
libffmpegthumbnailer/moviedecoder.cpp.o:
	$(MAKE) -f CMakeFiles/libffmpegthumbnailer.dir/build.make CMakeFiles/libffmpegthumbnailer.dir/libffmpegthumbnailer/moviedecoder.cpp.o
	$(MAKE) -f CMakeFiles/libffmpegthumbnailerstatic.dir/build.make CMakeFiles/libffmpegthumbnailerstatic.dir/libffmpegthumbnailer/moviedecoder.cpp.o
.PHONY : libffmpegthumbnailer/moviedecoder.cpp.o

=== out/Makefile ===
# Makefile.in generated by automake 1.15 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2014 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.






VPATH = ..
am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/ffmpegthumbnailer
pkgincludedir = $(includedir)/ffmpegthumbnailer
pkglibdir = $(libdir)/ffmpegthumbnailer
pkglibexecdir = $(libexecdir)/ffmpegthumbnailer
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-apple-darwin14.3.0
host_triplet = x86_64-apple-darwin14.3.0
am__append_1 = libffmpegthumbnailer/pngwriter.h \
                                    libffmpegthumbnailer/pngwriter.cpp

am__append_2 = libffmpegthumbnailer/jpegwriter.h \
                                    libffmpegthumbnailer/jpegwriter.cpp

bin_PROGRAMS = ffmpegthumbnailer$(EXEEXT)
#check_PROGRAMS = testrunner$(EXEEXT)
#TESTS = testrunner$(EXEEXT)
subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
	$(am__configure_deps) $(nobase_include_HEADERS) \
	$(am__DIST_COMMON)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES = libffmpegthumbnailer.pc
CONFIG_CLEAN_VPATH_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(bindir)" \
	"$(DESTDIR)$(pkgconfigdir)" "$(DESTDIR)$(thumbnailerdir)" \
	"$(DESTDIR)$(includedir)"
LTLIBRARIES = $(lib_LTLIBRARIES)
am__DEPENDENCIES_1 =
libffmpegthumbnailer_la_DEPENDENCIES = $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
am__libffmpegthumbnailer_la_SOURCES_DIST =  \
	libffmpegthumbnailer/moviedecoder.h \
	libffmpegthumbnailer/moviedecoder.cpp \
	libffmpegthumbnailer/imagewriter.h \
	libffmpegthumbnailer/imagewriterfactory.h \
	libffmpegthumbnailer/stringoperations.h \
	libffmpegthumbnailer/stringoperations.cpp \
	libffmpegthumbnailer/videothumbnailer.cpp \
	libffmpegthumbnailer/videothumbnailerc.cpp \
	libffmpegthumbnailer/ifilter.h \
	libffmpegthumbnailer/videoframe.h \
	libffmpegthumbnailer/histogram.h \
	libffmpegthumbnailer/grayscalefilter.h \
	libffmpegthumbnailer/filmstrip.h \
	libffmpegthumbnailer/filmstripfilter.h \
	libffmpegthumbnailer/filmstripfilter.cpp \
	libffmpegthumbnailer/pngwriter.h \
	libffmpegthumbnailer/pngwriter.cpp \
	libffmpegthumbnailer/jpegwriter.h \
	libffmpegthumbnailer/jpegwriter.cpp
am__dirstamp = $(am__leading_dot)dirstamp
am__objects_1 = libffmpegthumbnailer/libffmpegthumbnailer_la-pngwriter.lo
am__objects_2 = libffmpegthumbnailer/libffmpegthumbnailer_la-jpegwriter.lo
am_libffmpegthumbnailer_la_OBJECTS =  \
	libffmpegthumbnailer/libffmpegthumbnailer_la-moviedecoder.lo \
	libffmpegthumbnailer/libffmpegthumbnailer_la-stringoperations.lo \
	libffmpegthumbnailer/libffmpegthumbnailer_la-videothumbnailer.lo \
	libffmpegthumbnailer/libffmpegthumbnailer_la-videothumbnailerc.lo \
	libffmpegthumbnailer/libffmpegthumbnailer_la-filmstripfilter.lo \
	$(am__objects_1) $(am__objects_2)
libffmpegthumbnailer_la_OBJECTS =  \
	$(am_libffmpegthumbnailer_la_OBJECTS)
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
am__v_lt_1 = 
libffmpegthumbnailer_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX \
	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
	$(libffmpegthumbnailer_la_CXXFLAGS) $(CXXFLAGS) \
	$(libffmpegthumbnailer_la_LDFLAGS) $(LDFLAGS) -o $@
PROGRAMS = $(bin_PROGRAMS)
am_ffmpegthumbnailer_OBJECTS = main.$(OBJEXT)
ffmpegthumbnailer_OBJECTS = $(am_ffmpegthumbnailer_OBJECTS)
ffmpegthumbnailer_DEPENDENCIES = $(am__DEPENDENCIES_1) \
	libffmpegthumbnailer.la
am_testrunner_OBJECTS = unittest/testrunner-gmock-gtest-all.$(OBJEXT) \
	unittest/testrunner-testrunner.$(OBJEXT) \
	unittest/testrunner-histogramtest.$(OBJEXT) \
	unittest/testrunner-videothumbnailertest.$(OBJEXT)
testrunner_OBJECTS = $(am_testrunner_OBJECTS)
testrunner_DEPENDENCIES =
testrunner_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(testrunner_CXXFLAGS) \
	$(CXXFLAGS) $(testrunner_LDFLAGS) $(LDFLAGS) -o $@
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = -I. -I$(srcdir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CXXFLAGS) $(CXXFLAGS)
AM_V_CXX = $(am__v_CXX_$(V))
am__v_CXX_ = $(am__v_CXX_$(AM_DEFAULT_VERBOSITY))
am__v_CXX_0 = @echo "  CXX     " $@;
am__v_CXX_1 = 
CXXLD = $(CXX)
CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CXXLD = $(am__v_CXXLD_$(V))
am__v_CXXLD_ = $(am__v_CXXLD_$(AM_DEFAULT_VERBOSITY))
am__v_CXXLD_0 = @echo "  CXXLD   " $@;
am__v_CXXLD_1 = 
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_$(V))
am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
am__v_CC_0 = @echo "  CC      " $@;
am__v_CC_1 = 
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_$(V))
am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
am__v_CCLD_0 = @echo "  CCLD    " $@;
am__v_CCLD_1 = 
SOURCES = $(libffmpegthumbnailer_la_SOURCES) \
	$(ffmpegthumbnailer_SOURCES) $(testrunner_SOURCES)
DIST_SOURCES = $(am__libffmpegthumbnailer_la_SOURCES_DIST) \
	$(ffmpegthumbnailer_SOURCES) $(testrunner_SOURCES)
RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
	ctags-recursive dvi-recursive html-recursive info-recursive \
	install-data-recursive install-dvi-recursive \
	install-exec-recursive install-html-recursive \
	install-info-recursive install-pdf-recursive \
	install-ps-recursive install-recursive installcheck-recursive \
	installdirs-recursive pdf-recursive ps-recursive \
	tags-recursive uninstall-recursive
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
DATA = $(pkgconfig_DATA) $(thumbnailer_DATA)
HEADERS = $(nobase_include_HEADERS)
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
am__recursive_targets = \
  $(RECURSIVE_TARGETS) \
  $(RECURSIVE_CLEAN_TARGETS) \
  $(am__extra_recursive_targets)
AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
	cscope check recheck distdir dist dist-all distcheck
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
	$(LISP)config.h.in
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
CSCOPE = cscope
am__tty_colors_dummy = \
  mgn= red= grn= lgn= blu= brg= std=; \
  am__color_tests=no
am__tty_colors = { \
  $(am__tty_colors_dummy); \
  if test "X$(AM_COLOR_TESTS)" = Xno; then \
    am__color_tests=no; \

=== test/CMakeLists.txt ===
INCLUDE_DIRECTORIES(SYSTEM
    ${CMAKE_CURRENT_SOURCE_DIR}
)

INCLUDE_DIRECTORIES(
	${CMAKE_CURRENT_SOURCE_DIR}/..
)

LINK_DIRECTORIES(
	${XDGBASEDIR_LIBRARY_DIRS}
)

ADD_EXECUTABLE(ffmpegthumbnailertest
    gmock-gtest-all.cpp
    testrunner.cpp
    histogramtest.cpp
    videothumbnailertest.cpp
)

ADD_DEFINITIONS(-DTEST_DATADIR="${CMAKE_CURRENT_SOURCE_DIR}")

IF (ENABLE_SHARED)
    TARGET_LINK_LIBRARIES(ffmpegthumbnailertest ${SHARED_LIB})
ELSE ()
    TARGET_LINK_LIBRARIES(ffmpegthumbnailertest ${STATIC_LIB})
ENDIF ()

IF (UNIX)
    TARGET_LINK_LIBRARIES(ffmpegthumbnailertest -lpthread)
ENDIF ()

ADD_TEST(NAME ffmpegthumbnailertest COMMAND ffmpegthumbnailertest)

=== out-2.0.10/test/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.2

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/local/Cellar/cmake/3.2.2/bin/cmake

# The command to remove a file.
RM = /usr/local/Cellar/cmake/3.2.2/bin/cmake -E remove -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /Users/dirk/Projects/ffmpegthumbnailer

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /Users/dirk/Projects/ffmpegthumbnailer/out-2.0.10

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/local/Cellar/cmake/3.2.2/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	/usr/local/Cellar/cmake/3.2.2/bin/ccmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/local/Cellar/cmake/3.2.2/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/local/Cellar/cmake/3.2.2/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/local/Cellar/cmake/3.2.2/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	cd /Users/dirk/Projects/ffmpegthumbnailer/out-2.0.10 && /usr/local/Cellar/cmake/3.2.2/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package
.PHONY : package/fast

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/usr/local/Cellar/cmake/3.2.2/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test
.PHONY : test/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	cd /Users/dirk/Projects/ffmpegthumbnailer/out-2.0.10 && /usr/local/Cellar/cmake/3.2.2/bin/cpack --config ./CPackSourceConfig.cmake /Users/dirk/Projects/ffmpegthumbnailer/out-2.0.10/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source
.PHONY : package_source/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/local/Cellar/cmake/3.2.2/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# The main all target
all: cmake_check_build_system
	cd /Users/dirk/Projects/ffmpegthumbnailer/out-2.0.10 && $(CMAKE_COMMAND) -E cmake_progress_start /Users/dirk/Projects/ffmpegthumbnailer/out-2.0.10/CMakeFiles /Users/dirk/Projects/ffmpegthumbnailer/out-2.0.10/test/CMakeFiles/progress.marks
	cd /Users/dirk/Projects/ffmpegthumbnailer/out-2.0.10 && $(MAKE) -f CMakeFiles/Makefile2 test/all
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/dirk/Projects/ffmpegthumbnailer/out-2.0.10/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /Users/dirk/Projects/ffmpegthumbnailer/out-2.0.10 && $(MAKE) -f CMakeFiles/Makefile2 test/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /Users/dirk/Projects/ffmpegthumbnailer/out-2.0.10 && $(MAKE) -f CMakeFiles/Makefile2 test/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /Users/dirk/Projects/ffmpegthumbnailer/out-2.0.10 && $(MAKE) -f CMakeFiles/Makefile2 test/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /Users/dirk/Projects/ffmpegthumbnailer/out-2.0.10 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
test/CMakeFiles/ffmpegthumbnailertest.dir/rule:
	cd /Users/dirk/Projects/ffmpegthumbnailer/out-2.0.10 && $(MAKE) -f CMakeFiles/Makefile2 test/CMakeFiles/ffmpegthumbnailertest.dir/rule
.PHONY : test/CMakeFiles/ffmpegthumbnailertest.dir/rule

# Convenience name for target.
ffmpegthumbnailertest: test/CMakeFiles/ffmpegthumbnailertest.dir/rule
.PHONY : ffmpegthumbnailertest

# fast build rule for target.
ffmpegthumbnailertest/fast:
	cd /Users/dirk/Projects/ffmpegthumbnailer/out-2.0.10 && $(MAKE) -f test/CMakeFiles/ffmpegthumbnailertest.dir/build.make test/CMakeFiles/ffmpegthumbnailertest.dir/build
.PHONY : ffmpegthumbnailertest/fast

gmock-gtest-all.o: gmock-gtest-all.cpp.o
.PHONY : gmock-gtest-all.o

# target to build an object file
gmock-gtest-all.cpp.o:
	cd /Users/dirk/Projects/ffmpegthumbnailer/out-2.0.10 && $(MAKE) -f test/CMakeFiles/ffmpegthumbnailertest.dir/build.make test/CMakeFiles/ffmpegthumbnailertest.dir/gmock-gtest-all.cpp.o
.PHONY : gmock-gtest-all.cpp.o

gmock-gtest-all.i: gmock-gtest-all.cpp.i
.PHONY : gmock-gtest-all.i

# target to preprocess a source file
gmock-gtest-all.cpp.i:
	cd /Users/dirk/Projects/ffmpegthumbnailer/out-2.0.10 && $(MAKE) -f test/CMakeFiles/ffmpegthumbnailertest.dir/build.make test/CMakeFiles/ffmpegthumbnailertest.dir/gmock-gtest-all.cpp.i
.PHONY : gmock-gtest-all.cpp.i

gmock-gtest-all.s: gmock-gtest-all.cpp.s
.PHONY : gmock-gtest-all.s

# target to generate assembly for a file
gmock-gtest-all.cpp.s:
	cd /Users/dirk/Projects/ffmpegthumbnailer/out-2.0.10 && $(MAKE) -f test/CMakeFiles/ffmpegthumbnailertest.dir/build.make test/CMakeFiles/ffmpegthumbnailertest.dir/gmock-gtest-all.cpp.s
.PHONY : gmock-gtest-all.cpp.s

histogramtest.o: histogramtest.cpp.o
.PHONY : histogramtest.o

# target to build an object file
histogramtest.cpp.o:
	cd /Users/dirk/Projects/ffmpegthumbnailer/out-2.0.10 && $(MAKE) -f test/CMakeFiles/ffmpegthumbnailertest.dir/build.make test/CMakeFiles/ffmpegthumbnailertest.dir/histogramtest.cpp.o
.PHONY : histogramtest.cpp.o

histogramtest.i: histogramtest.cpp.i
.PHONY : histogramtest.i

# target to preprocess a source file
histogramtest.cpp.i:
	cd /Users/dirk/Projects/ffmpegthumbnailer/out-2.0.10 && $(MAKE) -f test/CMakeFiles/ffmpegthumbnailertest.dir/build.make test/CMakeFiles/ffmpegthumbnailertest.dir/histogramtest.cpp.i
.PHONY : histogramtest.cpp.i

histogramtest.s: histogramtest.cpp.s
.PHONY : histogramtest.s

# target to generate assembly for a file
histogramtest.cpp.s:
	cd /Users/dirk/Projects/ffmpegthumbnailer/out-2.0.10 && $(MAKE) -f test/CMakeFiles/ffmpegthumbnailertest.dir/build.make test/CMakeFiles/ffmpegthumbnailertest.dir/histogramtest.cpp.s
.PHONY : histogramtest.cpp.s

testrunner.o: testrunner.cpp.o
.PHONY : testrunner.o

# target to build an object file
testrunner.cpp.o:
	cd /Users/dirk/Projects/ffmpegthumbnailer/out-2.0.10 && $(MAKE) -f test/CMakeFiles/ffmpegthumbnailertest.dir/build.make test/CMakeFiles/ffmpegthumbnailertest.dir/testrunner.cpp.o
.PHONY : testrunner.cpp.o

testrunner.i: testrunner.cpp.i
.PHONY : testrunner.i

# target to preprocess a source file
testrunner.cpp.i:
	cd /Users/dirk/Projects/ffmpegthumbnailer/out-2.0.10 && $(MAKE) -f test/CMakeFiles/ffmpegthumbnailertest.dir/build.make test/CMakeFiles/ffmpegthumbnailertest.dir/testrunner.cpp.i
.PHONY : testrunner.cpp.i

testrunner.s: testrunner.cpp.s
.PHONY : testrunner.s

# target to generate assembly for a file
testrunner.cpp.s:
	cd /Users/dirk/Projects/ffmpegthumbnailer/out-2.0.10 && $(MAKE) -f test/CMakeFiles/ffmpegthumbnailertest.dir/build.make test/CMakeFiles/ffmpegthumbnailertest.dir/testrunner.cpp.s
.PHONY : testrunner.cpp.s

videothumbnailertest.o: videothumbnailertest.cpp.o
.PHONY : videothumbnailertest.o

# target to build an object file
videothumbnailertest.cpp.o:
	cd /Users/dirk/Projects/ffmpegthumbnailer/out-2.0.10 && $(MAKE) -f test/CMakeFiles/ffmpegthumbnailertest.dir/build.make test/CMakeFiles/ffmpegthumbnailertest.dir/videothumbnailertest.cpp.o
.PHONY : videothumbnailertest.cpp.o

videothumbnailertest.i: videothumbnailertest.cpp.i
.PHONY : videothumbnailertest.i

# target to preprocess a source file
videothumbnailertest.cpp.i:
	cd /Users/dirk/Projects/ffmpegthumbnailer/out-2.0.10 && $(MAKE) -f test/CMakeFiles/ffmpegthumbnailertest.dir/build.make test/CMakeFiles/ffmpegthumbnailertest.dir/videothumbnailertest.cpp.i
.PHONY : videothumbnailertest.cpp.i

videothumbnailertest.s: videothumbnailertest.cpp.s
.PHONY : videothumbnailertest.s

# target to generate assembly for a file
videothumbnailertest.cpp.s:
	cd /Users/dirk/Projects/ffmpegthumbnailer/out-2.0.10 && $(MAKE) -f test/CMakeFiles/ffmpegthumbnailertest.dir/build.make test/CMakeFiles/ffmpegthumbnailertest.dir/videothumbnailertest.cpp.s
.PHONY : videothumbnailertest.cpp.s

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... install/strip"
	@echo "... edit_cache"
	@echo "... rebuild_cache"
	@echo "... install"
	@echo "... list_install_components"
	@echo "... package"
	@echo "... test"
	@echo "... ffmpegthumbnailertest"
	@echo "... package_source"
	@echo "... install/local"
	@echo "... gmock-gtest-all.o"
	@echo "... gmock-gtest-all.i"
	@echo "... gmock-gtest-all.s"
	@echo "... histogramtest.o"
	@echo "... histogramtest.i"
	@echo "... histogramtest.s"
	@echo "... testrunner.o"
	@echo "... testrunner.i"
	@echo "... testrunner.s"
	@echo "... videothumbnailertest.o"
	@echo "... videothumbnailertest.i"
	@echo "... videothumbnailertest.s"
.PHONY : help

=== out/man/Makefile ===
# Makefile.in generated by automake 1.15 from Makefile.am.
# man/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2014 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


VPATH = ../../man
am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/ffmpegthumbnailer
pkgincludedir = $(includedir)/ffmpegthumbnailer
pkglibdir = $(libdir)/ffmpegthumbnailer
pkglibexecdir = $(libexecdir)/ffmpegthumbnailer
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-apple-darwin14.3.0
host_triplet = x86_64-apple-darwin14.3.0
subdir = man
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
man1dir = $(mandir)/man1
am__installdirs = "$(DESTDIR)$(man1dir)"
NROFF = nroff
MANS = $(dist_man_MANS)
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
am__DIST_COMMON = $(dist_man_MANS) $(srcdir)/Makefile.in
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /Users/dirk/Projects/ffmpegthumbnailer/missing aclocal-1.15
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
AR = ar
AUTOCONF = ${SHELL} /Users/dirk/Projects/ffmpegthumbnailer/missing autoconf
AUTOHEADER = ${SHELL} /Users/dirk/Projects/ffmpegthumbnailer/missing autoheader
AUTOMAKE = ${SHELL} /Users/dirk/Projects/ffmpegthumbnailer/missing automake-1.15
AWK = awk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS =  -D__STDC_CONSTANT_MACROS
CXX = g++-4.9
CXXCPP = g++-4.9 -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DL_LIBS = 
DSYMUTIL = dsymutil
DUMPBIN = 
ECHO_C = \c
ECHO_N = 
ECHO_T = 
EGREP = /usr/bin/grep -E
EXEEXT = 
FFMPEG_CFLAGS = -I/usr/local/Cellar/ffmpeg/2.6.2/include 
FFMPEG_LIBS = -L/usr/local/Cellar/ffmpeg/2.6.2/lib -lavutil -lavformat -lavcodec -lswscale 
FGREP = /usr/bin/grep -F
GREP = /usr/bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
JPEG_LIBS = -ljpeg
LD = /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/ld
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = lipo
LN_S = ln -s
LTLIBOBJS = 
LT_SYS_LIBRARY_PATH = 
MAKEINFO = ${SHELL} /Users/dirk/Projects/ffmpegthumbnailer/missing makeinfo
MANIFEST_TOOL = :
MKDIR_P = ../../install-sh -c -d
NM = /usr/bin/nm
NMEDIT = nmedit
OBJDUMP = false
OBJEXT = o
OTOOL = otool
OTOOL64 = :
PACKAGE = ffmpegthumbnailer
PACKAGE_BUGREPORT = 
PACKAGE_NAME = ffmpegthumbnailer
PACKAGE_STRING = ffmpegthumbnailer 2.0.10
PACKAGE_TARNAME = ffmpegthumbnailer
PACKAGE_URL = 
PACKAGE_VERSION = 2.0.10
PATH_SEPARATOR = :
PKG_CONFIG = /usr/local/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
PNG_CFLAGS = -I/usr/local/Cellar/libpng/1.6.17/include/libpng16 
PNG_LIBS = -L/usr/local/Cellar/libpng/1.6.17/lib -lpng16 
RANLIB = ranlib
SED = /usr/bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 2.0.10
abs_builddir = /Users/dirk/Projects/ffmpegthumbnailer/out/man
abs_srcdir = /Users/dirk/Projects/ffmpegthumbnailer/out/../man
abs_top_builddir = /Users/dirk/Projects/ffmpegthumbnailer/out
abs_top_srcdir = /Users/dirk/Projects/ffmpegthumbnailer/out/..
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = 
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = x86_64-apple-darwin14.3.0
build_alias = 
build_cpu = x86_64
build_os = darwin14.3.0
build_vendor = apple
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-apple-darwin14.3.0
host_alias = 
host_cpu = x86_64
host_os = darwin14.3.0
host_vendor = apple
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /Users/dirk/Projects/ffmpegthumbnailer/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
pkgconfigdir = ${libdir}/pkgconfig
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = ../../man
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ../..
dist_man_MANS = ffmpegthumbnailer.1
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu man/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu man/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
install-man1: $(dist_man_MANS)
	@$(NORMAL_INSTALL)
	@list1=''; \
	list2='$(dist_man_MANS)'; \
	test -n "$(man1dir)" \
	  && test -n "`echo $$list1$$list2`" \
	  || exit 0; \
	echo " $(MKDIR_P) '$(DESTDIR)$(man1dir)'"; \
	$(MKDIR_P) "$(DESTDIR)$(man1dir)" || exit 1; \
	{ for i in $$list1; do echo "$$i"; done;  \
	if test -n "$$list2"; then \
	  for i in $$list2; do echo "$$i"; done \
	    | sed -n '/\.1[a-z]*$$/p'; \
	fi; \
	} | while read p; do \
	  if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; echo "$$p"; \
	done | \
	sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
	sed 'N;N;s,\n, ,g' | { \
	list=; while read file base inst; do \
	  if test "$$base" = "$$inst"; then list="$$list $$file"; else \
	    echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
	    $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst" || exit $$?; \
	  fi; \
	done; \
	for i in $$list; do echo "$$i"; done | $(am__base_list) | \
	while read files; do \
	  test -z "$$files" || { \
	    echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man1dir)'"; \
	    $(INSTALL_DATA) $$files "$(DESTDIR)$(man1dir)" || exit $$?; }; \
	done; }

uninstall-man1:
	@$(NORMAL_UNINSTALL)
	@list=''; test -n "$(man1dir)" || exit 0; \
	files=`{ for i in $$list; do echo "$$i"; done; \
	l2='$(dist_man_MANS)'; for i in $$l2; do echo "$$i"; done | \
	  sed -n '/\.1[a-z]*$$/p'; \
	} | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
	dir='$(DESTDIR)$(man1dir)'; $(am__uninstall_files_from_dir)
tags TAGS:

ctags CTAGS:

cscope cscopelist:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \

=== debian/changelog ===
ffmpegthumbnailer (2.0.10-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release. (Closes: #784745, LP: #1169918)
  * debian/control:
    - Bump Standards-Version to 3.9.6.
    - Remove dh-autoconf from Build-Depends and add cmake.
    - Fix spelling error in description.
  * debian/rules:
    - Adapt for building with cmake instead of autotools.
  * Add debian/patches/621274d694dee1f8c92f5db99a5cff98e82c6bd4.patch
    from upstream to use proper GNU installation directories.
  * Update debian/watch to point to github.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Sat, 22 Aug 2015 10:46:39 +0200

ffmpegthumbnailer (2.0.8-2.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Steve Langasek ]
  * Rename library packages for g++5 ABI transition.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 14 Aug 2015 19:58:24 +0200

=== debian/control ===
Source: ffmpegthumbnailer
Section: video
Priority: optional
Maintainer: Lionel Le Folgoc <mrpouit@gmail.com>
Uploaders: Soeren Sonnenburg <sonne@debian.org>
Build-Depends: debhelper (>= 9), pkg-config, libavutil-dev, libavformat-dev,
 libavcodec-dev (>= 4:0.6~svn20100505-1~), libswscale-dev, libpng-dev,
 libjpeg-dev, dpkg-dev (>= 1.16.1), cmake
Standards-Version: 3.9.6
Homepage: http://code.google.com/p/ffmpegthumbnailer/
Vcs-Svn: https://bollin.googlecode.com/svn/ffmpegthumbnailer/trunk/
Vcs-Browser: http://bollin.googlecode.com/svn/ffmpegthumbnailer/trunk/

Package: ffmpegthumbnailer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libglib2.0-0
Description: fast and lightweight video thumbnailer
 FFmpegthumbnailer is a lightweight video thumbnailer that can be used by file
 managers to create thumbnails for your video files. The thumbnailer uses ffmpeg
 to decode frames from the video files, so supported videoformats depend on the
 configuration flags of ffmpeg.
 .
 This package contains the ffmpegthumbnailer executable.

Package: libffmpegthumbnailer4v5
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libffmpegthumbnailer4
Replaces: libffmpegthumbnailer4
Description: shared library for ffmpegthumbnailer
 FFmpegthumbnailer is a lightweight video thumbnailer that can be used by file
 managers to create thumbnails for your video files. The thumbnailer uses ffmpeg
 to decode frames from the video files, so supported videoformats depend on the
 configuration flags of ffmpeg.
 .
 This package contains the shared library for ffmpegthumbnailer framework.

Package: libffmpegthumbnailer-dev
Section: libdevel
Architecture: any
Depends: libffmpegthumbnailer4v5 (= ${binary:Version}), ${misc:Depends}
Description: development files for ffmpegthumbnailer
 FFmpegthumbnailer is a lightweight video thumbnailer that can be used by file
 managers to create thumbnails for your video files. The thumbnailer uses ffmpeg
 to decode frames from the video files, so supported videoformats depend on the
 configuration flags of ffmpeg.
 .
 This package contains the development files distributed with ffmpegthumbnailer.

Package: ffmpegthumbnailer-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ffmpegthumbnailer (= ${binary:Version})
Description: debugging information for ffmpegthumbnailer
 FFmpegthumbnailer is a lightweight video thumbnailer that can be used by file
 managers to create thumbnails for your video files. The thumbnailer uses ffmpeg
 to decode frames from the video files, so supported videoformats depend on the
 configuration flags of ffmpeg.
 .
 This package contains the debugging symbols for ffmpegthumbnailer.
